diff options
| author | Junio C Hamano <gitster@pobox.com> | 2011-11-10 09:05:31 -0800 |
|---|---|---|
| committer | Junio C Hamano <gitster@pobox.com> | 2011-11-10 09:05:31 -0800 |
| commit | 77f143bf3e218857ec8e5244d7e862e8e0c1a041 (patch) | |
| tree | 9f720e61941241b53a4f258d0dc62e5a9a360aa8 /templates/hooks--commit-msg.sample | |
| parent | cd9519bd2c5c666cfb3ec219ee0b47c83f26f3fe (diff) | |
| parent | 633e3556ccbcc7e443f5e9194c4a830181696ef0 (diff) | |
| download | git-77f143bf3e218857ec8e5244d7e862e8e0c1a041.tar.xz | |
Merge 'build-in git-mktree'
* commit '633e3556ccbc': (5835 commits)
build-in git-mktree
allow -t abbreviation for --track in git branch
gitweb: Remove function prototypes (cleanup)
Documentation: cloning to empty directory is allowed
Clarify kind of conflict in merge-one-file helper
git config: clarify --add and --get-color
archive-tar.c: squelch a type mismatch warning
Start 1.6.4 development
Start 1.6.3.1 maintenance series.
GIT 1.6.3
t4029: use sh instead of bash
t4200: convert sed expression which operates on non-text file to perl
t4200: remove two unnecessary lines
t/annotate-tests.sh: avoid passing a non-newline terminated file to sed
t4118: avoid sed invocation on file without terminating newline
t4118: add missing '&&'
t8005: use egrep when extended regular expressions are required
git-clean doc: the command only affects paths under $(cwd)
improve error message in config.c
t4018-diff-funcname: add cpp xfuncname pattern to syntax test
...
Diffstat (limited to 'templates/hooks--commit-msg.sample')
| -rwxr-xr-x | templates/hooks--commit-msg.sample | 24 |
1 files changed, 24 insertions, 0 deletions
diff --git a/templates/hooks--commit-msg.sample b/templates/hooks--commit-msg.sample new file mode 100755 index 0000000000..6ef1d29d09 --- /dev/null +++ b/templates/hooks--commit-msg.sample @@ -0,0 +1,24 @@ +#!/bin/sh +# +# An example hook script to check the commit log message. +# Called by git-commit with one argument, the name of the file +# that has the commit message. The hook should exit with non-zero +# status after issuing an appropriate message if it wants to stop the +# commit. The hook is allowed to edit the commit message file. +# +# To enable this hook, rename this file to "commit-msg". + +# Uncomment the below to add a Signed-off-by line to the message. +# Doing this in a hook is a bad idea in general, but the prepare-commit-msg +# hook is more suited to it. +# +# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') +# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1" + +# This example catches duplicate Signed-off-by lines. + +test "" = "$(grep '^Signed-off-by: ' "$1" | + sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || { + echo >&2 Duplicate Signed-off-by lines. + exit 1 +} |
